package com.pqs9000.mapper.responsibility;

import com.pqs9000.pojo.data.DataHarmonicDetail;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface DataHarmonicDetailMapper extends Mapper<DataHarmonicDetail> {

    int deleteData(@Param("startTime")String startTime,@Param("endTime")String endTime);

    int insertData(@Param("list")List<DataHarmonicDetail> list);

    List<DataHarmonicDetail> selectMaxData(@Param("startTime")String startTime, @Param("endTime")String endTime, @Param("list")List<Integer> list);

}
